到底哪裡不對勁
3 posters
AutoCAD顧問 :: 技術(發言等級:一般會員) :: :: 進階討論
第1頁(共1頁)
到底哪裡不對勁
(defun c:ii ()
(setvar "cmdecho" 0)
(setq point_ss (ssget '((0 . "point"))))
(setq i 0)
(repeat
(sslength point_ss)
(setq en(ssname point_ss i))
(setq a1(entget en))
(setq a2(cdr(assoc 10 a1)))
;;以下開始就一直搞不好,有時可以有時只會畫長度0的線
(setq x1(polar a2 pi 2.5))
(setq x2(polar x1 0 5))
(setq y1(polar a2 (* pi 1.5) 2.5))
(setq y2(polar y1 (* pi 0.5) 5))
(command "line" x1 x2 "")
(command "chprop" "l" "" "c" "2" "")
(command "line" y1 y2 "")
(command "chprop" "l" "" "c" "2" "la" "0" "")
;;以下都正常
(command "circle" a2 2.5)
(command "chprop" "l" "" "c" "2" "la" "0" "")
(command "point" a2)
(command "chprop" "l" "" "c" "4" "la" "0" "")
(setq i (1+ i))
)
(command "erase" point_ss "")
(setvar "cmdecho" 1)
(prin1)
)
請大大指教~~~
(setvar "cmdecho" 0)
(setq point_ss (ssget '((0 . "point"))))
(setq i 0)
(repeat
(sslength point_ss)
(setq en(ssname point_ss i))
(setq a1(entget en))
(setq a2(cdr(assoc 10 a1)))
;;以下開始就一直搞不好,有時可以有時只會畫長度0的線
(setq x1(polar a2 pi 2.5))
(setq x2(polar x1 0 5))
(setq y1(polar a2 (* pi 1.5) 2.5))
(setq y2(polar y1 (* pi 0.5) 5))
(command "line" x1 x2 "")
(command "chprop" "l" "" "c" "2" "")
(command "line" y1 y2 "")
(command "chprop" "l" "" "c" "2" "la" "0" "")
;;以下都正常
(command "circle" a2 2.5)
(command "chprop" "l" "" "c" "2" "la" "0" "")
(command "point" a2)
(command "chprop" "l" "" "c" "4" "la" "0" "")
(setq i (1+ i))
)
(command "erase" point_ss "")
(setvar "cmdecho" 1)
(prin1)
)
請大大指教~~~
hoodpinrh0829- 一般會員
- 文章總數 : 76
年齡 : 42
來自 : 桃園
職業 : 板金
愛好 : 到處走走
個性 : 內向
使用年資 : 5年以上
使用版本 : 2019
經驗值 : 4365
威望值 : 0
注冊日期 : 2014-02-27
回復: 到底哪裡不對勁
hoodpinrh0829 寫到:(defun c:ii ()
(setvar "cmdecho" 0)
(setq point_ss (ssget '((0 . "point"))))
(setq i 0)
(repeat
(sslength point_ss)
(setq en(ssname point_ss i))
(setq a1(entget en))
(setq a2(cdr(assoc 10 a1)))
;;以下開始就一直搞不好,有時可以有時只會畫長度0的線
(setq x1(polar a2 pi 2.5))
(setq x2(polar x1 0 5))
(setq y1(polar a2 (* pi 1.5) 2.5))
(setq y2(polar y1 (* pi 0.5) 5))
(command "line" x1 x2 "")
(command "chprop" "l" "" "c" "2" "")
(command "line" y1 y2 "")
(command "chprop" "l" "" "c" "2" "la" "0" "")
;;以下都正常
(command "circle" a2 2.5)
(command "chprop" "l" "" "c" "2" "la" "0" "")
(command "point" a2)
(command "chprop" "l" "" "c" "4" "la" "0" "")
(setq i (1+ i))
)
(command "erase" point_ss "")
(setvar "cmdecho" 1)
(prin1)
)
請大大指教~~~
使用command +內建指令創建物件常出現錯誤是忽略鎖點處理
naruto018- 中級會員
- 文章總數 : 226
年齡 : 32
來自 : 高雄
職業 : 學習中(CAD,Revit,Excel VBA)
愛好 : 當個懶熊
個性 : 內向
使用年資 : 新手
使用版本 : 2015
AutoCAD基礎篇等級 : 10星級
積分 : 5
經驗值 : 4542
威望值 : 564
注冊日期 : 2016-11-29
回復: 到底哪裡不對勁
感謝指導naruto018 寫到:hoodpinrh0829 寫到:(defun c:ii ()
(setvar "cmdecho" 0)
(setq point_ss (ssget '((0 . "point"))))
(setq i 0)
(repeat
(sslength point_ss)
(setq en(ssname point_ss i))
(setq a1(entget en))
(setq a2(cdr(assoc 10 a1)))
;;以下開始就一直搞不好,有時可以有時只會畫長度0的線
(setq x1(polar a2 pi 2.5))
(setq x2(polar x1 0 5))
(setq y1(polar a2 (* pi 1.5) 2.5))
(setq y2(polar y1 (* pi 0.5) 5))
(command "line" x1 x2 "")
(command "chprop" "l" "" "c" "2" "")
(command "line" y1 y2 "")
(command "chprop" "l" "" "c" "2" "la" "0" "")
;;以下都正常
(command "circle" a2 2.5)
(command "chprop" "l" "" "c" "2" "la" "0" "")
(command "point" a2)
(command "chprop" "l" "" "c" "4" "la" "0" "")
(setq i (1+ i))
)
(command "erase" point_ss "")
(setvar "cmdecho" 1)
(prin1)
)
請大大指教~~~
使用command +內建指令創建物件常出現錯誤是忽略鎖點處理
hoodpinrh0829- 一般會員
- 文章總數 : 76
年齡 : 42
來自 : 桃園
職業 : 板金
愛好 : 到處走走
個性 : 內向
使用年資 : 5年以上
使用版本 : 2019
經驗值 : 4365
威望值 : 0
注冊日期 : 2014-02-27
回復: 到底哪裡不對勁
試試你的程式碼裡加入以下這行,就不會受到[物件鎖點]影響
- 代碼:
(SETVAR "OSNAPCOORD" 1);;;以鍵盤輸入取代物件鎖點設定值
____________________________________________________________________________________
👉快速比例設定與出圖技巧-線上課程(點我)👈
AutoCAD顧問 :: 技術(發言等級:一般會員) :: :: 進階討論
第1頁(共1頁)
這個論壇的權限:
您 無法 在這個版面回復文章